Retrieve product
curl --request GET \
--url https://api.piriod.com/products/{id}/ \
--header 'Authorization: <api-key>' \
--header 'x-simple-workspace: <x-simple-workspace>'import requests
url = "https://api.piriod.com/products/{id}/"
headers = {
"x-simple-workspace": "<x-simple-workspace>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-simple-workspace': '<x-simple-workspace>', Authorization: '<api-key>'}
};
fetch('https://api.piriod.com/products/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"unit_label": "<string>",
"id": "<string>",
"status": "active",
"archived": "2023-11-07T05:31:56Z",
"plans": [
{
"product": "<string>",
"name": "<string>",
"description": "<string>",
"frequency": "<string>",
"currency": "<string>",
"amount": 123,
"id": "<string>",
"sku": "<string>",
"exempt": false,
"usage_scheme": "licensed",
"tiers": [
{
"amount": 123,
"quantity_from": 123,
"amount_scheme": "flat",
"quantity_to": 123
}
],
"unit_label": "<string>",
"status": "active",
"archived": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}
],
"test_mode": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}{
"detail": "Authentication credentials were not provided."
}Products
Retrieve product
GET
/
products
/
{id}
/
Retrieve product
Authorizations
Use header Authorization: Token <api_token>.
API tokens are obtained from the Piriod dashboard.
Headers
Workspace (account) identifier. Required for every request.
Whether to operate against test-mode data. Defaults to false.
Path Parameters
Resource identifier.
Response
The product.
Maximum string length:
80Maximum string length:
12Available options:
active, archived Show child attributes
Show child attributes
⌘I
